<?php
    
    sleep(1);
    js::$i->setJSON('status',true);
    js::$i->setJSON('msg', html::error( l('Niepoprawny login lub hasło') ) );
    
    if( isset($_REQUEST['email']) AND valid::email($_REQUEST['email']) AND isset($_REQUEST['password']) AND !empty($_REQUEST['password']) ){
        
        if( user::$i->login( $_REQUEST['email'] , false , $_REQUEST['password'] ) ){
            
            js::$i->setJSON( 'refresh' , true );
            js::$i->setJSON( 'status' , true );
            js::$i->setJSON( 'msg' , false );
            
        }
        
    }
    
?>